TokenRestriction.SliceRestriction (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.restrictions

## Class TokenRestriction.SliceRestriction

- java.lang.Object
- - org.apache.cassandra.cql3.restrictions.TokenRestriction
  - - org.apache.cassandra.cql3.restrictions.TokenRestriction.SliceRestriction

- Enclosing class:
    TokenRestriction

      public static class TokenRestriction.SliceRestriction
      extends TokenRestriction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.restrictions.TokenRestriction

      `TokenRestriction.EQRestriction, TokenRestriction.SliceRestriction`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.restrictions.TokenRestriction

      `columnDefs, metadata`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SliceRestriction(CFMetaData cfm, java.util.List<ColumnDefinition> columnDefs, Bound bound, boolean inclusive, Term term)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFunctionsTo(java.util.List<Function> functions)`
    `java.util.List<java.nio.ByteBuffer>` | `bounds(Bound b, QueryOptions options)`
    `protected org.apache.cassandra.cql3.restrictions.PartitionKeyRestrictions` | `doMergeWith(TokenRestriction otherRestriction)` Merges this restriction with the specified `TokenRestriction`.
    `boolean` | `hasBound(Bound b)`
    `boolean` | `hasContains()`
    `boolean` | `hasSlice()` Checks if any of the underlying restrictions is a slice.
    `boolean` | `isInclusive(Bound b)`
    `java.lang.String` | `toString()`
    `java.util.List<java.nio.ByteBuffer>` | `values(QueryOptions options)`

    - ### Methods inherited from class org.apache.cassandra.cql3.restrictions.TokenRestriction

      `addRowFilterTo, getColumnDefs, getColumnNamesAsString, getFirstColumn, getLastColumn, getRestrictions, hasIN, hasOnlyEqualityRestrictions, hasSupportingIndex, hasUnrestrictedPartitionKeyComponents, isEmpty, isOnToken, mergeWith, needFiltering, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SliceRestriction

          public SliceRestriction(CFMetaData cfm,
                                  java.util.List<ColumnDefinition> columnDefs,
                                  Bound bound,
                                  boolean inclusive,
                                  Term term)

  - ### Method Detail

    - #### hasContains

          public boolean hasContains()

    - #### hasSlice

          public boolean hasSlice()

      Description copied from interface: `Restrictions`
      Checks if any of the underlying restrictions is a slice.
      Overrides:
        `hasSlice` in class `TokenRestriction`
      Returns:
        `true` if any of the underlying restrictions is a slice, `false` otherwise

    - #### values

          public java.util.List<java.nio.ByteBuffer> values(QueryOptions options)
                                                     throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### hasBound

          public boolean hasBound(Bound b)

    - #### bounds

          public java.util.List<java.nio.ByteBuffer> bounds(Bound b,
                                                            QueryOptions options)
                                                     throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### addFunctionsTo

          public void addFunctionsTo(java.util.List<Function> functions)

    - #### isInclusive

          public boolean isInclusive(Bound b)

    - #### doMergeWith

          protected org.apache.cassandra.cql3.restrictions.PartitionKeyRestrictions doMergeWith(TokenRestriction otherRestriction)
                                                                                         throws InvalidRequestException

      Description copied from class: `TokenRestriction`
      Merges this restriction with the specified `TokenRestriction`.
      Specified by:
        `doMergeWith` in class `TokenRestriction`
      Parameters:
        `otherRestriction` - the `TokenRestriction` to merge with.
      Throws:
        `InvalidRequestException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation